<template>
	<view class="container">
		<z-nav-bar title="专著出版" bgColor="#5188e5" fontColor="#fff"></z-nav-bar>

		<view class="contentBox">
			<view v-show="!showSearchList">
				<view class="grid twoCateList" v-if="twoCateList.length > 0">
					<u-grid :col="3" border class="u-grid-list">
						<u-grid-item v-for="(item, index) in twoCateList" :key="item.dictType"
							@click="setTwoCateIndex(item, index)">
							<view :class="['grid-text',curTwoCateIndex == index ? 'cur' : '']">{{item.dictValue}}</view>
						</u-grid-item>
					</u-grid>
				</view>
				<!-- 吴门缘起-吴门之徽 -->
				<view class="titleList" v-if="curOneCateIndex == 2&&curTwoCateIndex == 2">
					<u-grid :col="3" v-if="titleList.length > 0">
						<u-grid-item v-for="(item, index) in titleList" :key="item.id" @click="previewImage(item.url)"
							style="align-items: flex-start;">
							<img :src="item.url" alt="" class="wmzhimg" mode="aspectFit">
						</u-grid-item>
					</u-grid>
					<u-divider v-else text="暂无数据哦~"></u-divider>
				</view>
				<!-- 其他 -->
				<view class="titleList" v-else>
					<u-grid :col="1" v-if="titleList.length > 0&&(curOneCateIndex==0||curOneCateIndex==2)">
						<u-grid-item v-for="(item, index) in titleList" :key="item.id" @click="gotoDetail(item)"
							style="align-items: flex-start;border-bottom: 2px solid #fff;">
							<view :class="['titleItem']">{{item.name}}</view>
						</u-grid-item>
					</u-grid>
					<u-grid :col="1" v-if="titleList.length > 0&&curOneCateIndex==3">
						<u-grid-item v-for="(item, index) in titleList" :key="item.id" @click="gotoDetail(item)"
							style="align-items: flex-start;border-bottom: 2px solid #fff;">
							<view :class="['titleItem']">{{item.title}}</view>
						</u-grid-item>
					</u-grid>
					<view :col="1" v-if="titleList.length > 0&&curOneCateIndex==1">
						<view v-for="(item, index) in titleList" :key="item.id" @click="gotoDetail(item)"
							style="align-items: flex-start;border-bottom: 2px solid #fff;display: flex;padding: 20rpx 0;">
							<view style="width: 280rpx;text-align: center;">
								<img src=""  v-if="item.imageslist&&item.imageslist.length==0" class="chImage">
								<img :src="item.imageslist&&item.imageslist[0]" v-else class="chImage">
							</view>
							<view :class="['titleItem']">{{item.name}}</view>
						</view>
					</view>
					<u-divider text="暂无数据哦~" v-if="titleList.length==0"></u-divider>
				</view>
			</view>
		</view>
	</view>
</template>

<script>
	import $http from '@/config/requestConfig.js';
	import {
		mapState
	} from 'vuex';
	export default {
		data() {
			return {
				playData: {},
				searchValue: '',
				oneCateList: [{
					title: "专著出版",
					type: 'medicaldesBookType'
				}, {
					title: "学术传承",
					type: 'inheritType'
				}, {
					title: "吴门缘起",
					type: 'lightType'
				}, {
					title: "吴门纪实",
					type: 'recordType'
				}], // 一级分类标题1
				twoCateList: [], // 二级分类标题
				titleList: [], // 方剂标题
				curOneCateIndex: 0, // 当前选中的一级分类
				curTwoCateIndex: 0, // 当前选中的二级分类
				searchList: [], // 搜索结果数组
				showSearchList: false,
				userMes: {}, // 用户信息
				searchDisable: false, // 搜索不可用
				limitShow: false,
				limitTitle: '提示',
				limitContent: ''
			}
		},
		onLoad() {
			this.getUserInfo();
		},
		onHide() {
			
		},
		computed: {
			...mapState(['userInfo']),
		},
		methods: {
			// 检查是有权限使用搜索功能
			checkDisable() {
				console.log('点击了')
			},
			// 获取用户详情
			getUserInfo() {
				// 用户详情
				if (this.userInfo.id != undefined) {
					this.$http
						.post('book/user/info/' + this.userInfo.id)
						.then(res => {
							this.userMes = res.user
							this.getCateList()
							console.log(this.userMes, '呼呼')
						});
				}
			},
			appjumpfun() {
				let bagName = 'com.cn.nuttyreading'
				let schemes = 'nuttyreading'										
				// if(name == 'everhealth'){
				if (plus.os.name == "Android") { //安卓
					if (plus.runtime.isApplicationExist({ //查看安卓系统手机有没有下载这款app
							pname: bagName, //B款app云打包的包名
						})) { //安装了app
						plus.runtime.launchApplication({ //打开app
							pname: bagName, //B款app云打包的包名
							extra: {
								url: `${schemes}://${bagName}` //B款app配置的schemes+云打包的包名
							},
							function(e) {
								console.log("Open system default browser failed: " + e.message);
							}
						})
					} else { //未安装app
						plus.runtime.openURL(`https://a.app.qq.com/o/simple.jsp?pkgname=${bagName}`, function(res) {
							console.log(res);
						});
					}
				} else if (plus.os.name == "iOS") { //苹果											
					plus.runtime.launchApplication({
						action: "${schemes}://"
					}, function(e) {
						plus.runtime.openURL(`https://a.app.qq.com/o/simple.jsp?pkgname=${bagName}`, function(
						res) {													
							console.log(res);
						});
					});
					// }
			
				}
			},
			// 详情
			gotoDetail(item) {
				console.log('111', item)
				console.log('this.curOneCateIndex', this.curOneCateIndex)
				console.log('this.curTwoCateIndex', this.curTwoCateIndex)
				if (this.curOneCateIndex == 0) {
					console.log('点我了');
					uni.showModal({
						content:'详细内容请跳转至"疯子读书app"内查看',
						cancelText:'知道了',
						confirmText:'打开疯子读书',
						success: function (res) {
								if (res.confirm) {
									console.log('用户点击确定');
									let bagName = 'com.cn.nuttyreading'
									let schemes = 'nuttyreading'	
									if (plus.os.name == "Android") { //安卓
										if (plus.runtime.isApplicationExist({ //查看安卓系统手机有没有下载这款app
												pname: bagName, //B款app云打包的包名
											})) { //安装了app
											plus.runtime.launchApplication({ //打开app
												pname: bagName, //B款app云打包的包名
												extra: {
													url: `${schemes}://${bagName}` //B款app配置的schemes+云打包的包名
												},
												function(e) {
													console.log("Open system default browser failed: " + e.message);
												}
											})
										} else { //未安装app
											plus.runtime.openURL(`https://a.app.qq.com/o/simple.jsp?pkgname=${bagName}`, function(res) {
												console.log(res);
											});
										}
									} else if (plus.os.name == "iOS") { //苹果											
										plus.runtime.launchApplication({
											action: "${schemes}://"
										}, function(e) {
											plus.runtime.openURL(`https://a.app.qq.com/o/simple.jsp?pkgname=${bagName}`, function(
											res) {													
												console.log(res);
											});
										});
												
									}
								} else if (res.cancel) {
									console.log('用户点击取消');
								}
							}
					})
					uni.navigateTo({
						url: '../eBook/bookContent?Id=' + item.id
					})
					return
				}
				if (this.curOneCateIndex == 1) {
					uni.navigateTo({
						url: "./medicaldesDetail?id=" + item.id
					})
					return
				}
				if (this.curOneCateIndex == 2) {
					console.log('111', item)
					uni.navigateTo({
						url: './video?title=' + item.name + '&src=' + item.url
					})
					return
				}
				if (this.curOneCateIndex == 3) {
					console.log('111', item)
					uni.navigateTo({
						url: "./recordDetail?id=" + item.id
					})
					return
				}
			},
			// 获取名称
			getTitles(dictType) {
				console.log('dictType', dictType)
				if (this.curOneCateIndex == 0) {
					$http.request({
						url: "book/medicaldes/bookListByType?type=" + dictType,
						method: "POST",
						data: {
							"limit": 1000,
							"page": 1,
						},
						header: {
							'Content-Type': 'application/json'
						},
					}).then(res => {
						console.log(res, '内容获取成功')
						if (res.code == 0 && res.result.length > 0) {
							this.titleList = res.result
						} else {
							this.titleList = []
						}
					}).catch(e => {
						this.titleList = []
						console.log(e)
					})
				}
				if (this.curOneCateIndex == 1) {
					$http.request({
						url: "book/medicaldes/inheritListByPage",
						method: "POST",
						data: {
							'dictType': dictType,
							"limit": 1000,
							"current": 1
						},
						header: {
							'Content-Type': 'application/json'
						},
					}).then(res => {
						console.log(res, '内容获取成功')
						if (res.code == 0 && res.result.records.length > 0) {
							this.titleList = res.result.records
							for (let i = 0; i < this.titleList.length; i++) {
								this.titleList[i].imageslist = [];
								this.titleList[i].imageslist = this.titleList[i].img.split(";");
							}
						} else {
							this.titleList = []
						}
					}).catch(e => {
						this.titleList = []
						console.log(e)
					})
				}
				if (this.curOneCateIndex == 2) {
					$http.request({
						url: "book/medicaldes/lightListByType?type=" + dictType,
						method: "POST",
						data: {
							"limit": 1000,
							"page": 1,
						},
						header: {
							'Content-Type': 'application/json'
						},
					}).then(res => {
						console.log(res, '内容获取成功')
						if (res.code == 0 && res.result.length > 0) {
							this.titleList = res.result
						} else {
							this.titleList = []
						}
					}).catch(e => {
						this.titleList = []
						console.log(e)
					})
				}
				if (this.curOneCateIndex == 3) {
					$http.request({
						url: "book/medicaldes/recordByType?type=" + dictType,
						method: "POST",
						data: {
							"limit": 1000,
							"page": 1,
						},
						header: {
							'Content-Type': 'application/json'
						},
					}).then(res => {
						console.log(res, '内容获取成功')
						if (res.code == 0 && res.result.length > 0) {
							this.titleList = res.result
						} else {
							this.titleList = []
						}
					}).catch(e => {
						this.titleList = []
						console.log(e)
					})
				}

			},
			setTwoCateIndex(item, index) {
				let dictType = item.dictType
				this.curTwoCateIndex = index
				this.getTitles(dictType)
			},
			setOneCateIndex(item, index) {
				let type = item.type
				this.curOneCateIndex = index
				this.curTwoCateIndex = 0
				this.searchValue = ''
				this.searchList = []
				this.showSearchList = false
				this.getTowCateList(type)
			},
			getTowCateList(type) {
				$http.request({
					url: "book/medicaldes/typeList?label=" + type,
					method: "POST",
					data: {
						loadAnimate: 'none',
					},
				}).then(res => {
					console.log(res, '二级分类获取成功')
					if (res.code == 0 && res.result.length >= 0) {
						this.twoCateList = res.result
						if (this.curOneCateIndex == 2) {
							this.twoCateList = [{
								'dictType': "1",
								"dictValue": "吴门之歌"
							}, {
								'dictType': "2",
								"dictValue": "巴山夜语"
							}, {
								'dictType': "3",
								"dictValue": "吴门之徽"
							}]
						}
						if (this.curOneCateIndex == 3) {
							this.twoCateList = [{
								'dictType': "1",
								"dictValue": "学术贡献"
							}, {
								'dictType': "2",
								"dictValue": "抗疫纪实"
							}, {
								'dictType': "3",
								"dictValue": "吴门公益"
							}]
						}
						this.getTitles(this.twoCateList[0].dictType)
					} else {
						this.twoCateList = []
						this.titleList = []
					}
				}).catch(e => {
					this.twoCateList = []
					this.titleList = []
					console.log(e)
				})
			},
			transformData(inputData) {
				const result = {};
				inputData.forEach(item => {
					const {
						letter
					} = item;
					if (!result[letter]) {
						result[letter] = [];
					}
					result[letter].push(item);
				});
				return result;
			},
			
			getCateList(id) {
				id ? '' : id = 0
				this.twoCateList = []
				this.curTwoCateIndex = 0
				
				this.getTowCateList(this.oneCateList[0].type);
			},

			// 放大图片
			previewImage(url) {
				console.log(url)
				uni.previewImage({
					urls: [url],
					longPressActions: {
						itemList: ['很抱歉，暂不支持保存图片到本地'],
						success: function(res) {
							// console.log(res,'+++++')
						}
					}
				});
			},
		},
		onBackPress() {
			// #ifdef APP-PLUS
			plus.key.hideSoftKeybord();
			// #endif
		},
		components: {

		},
	}
</script>

<style lang="scss" scoped>
	@import '@/static/mixin.scss';
	.searchList {
		.item {
			font-size: 28rpx;
			padding: 20rpx;
			border-bottom: 1px solid #dadbde;
		}
	}

	.scroll-view_H {
		background-color: #fff;
		white-space: nowrap;
		padding: 10rpx;
	}
	/deep/.u-border-bottom{
		border-bottom: 0;
	}
	.contentBox {
		.oneCateList {
			justify-content: space-between;

			text {
				text-align: center;
				display: inline-block;
				width: 32%;
				padding: 20rpx 0;
				font-size: 34rpx;
				border-radius: 10rpx;
			}

			.cur {
				background-color: #55aa7f;
				color: #fff;
			}
		}

		/deep/.u-grid-item{
			margin: 10rpx 0;
		}
		/deep/.u-grid .u-grid-item:last-child{
			border-bottom: 0 !important;
		}
		.twoCateList {
			font-size: 28rpx;
			margin: 12rpx 0;
			
			.grid-text {
				text-align: center;
				font-size: 28rpx;
				line-height: 38rpx;
			}
			
			.cur {
				color: $themeColor;
			}
		}

		.titleList {
			font-size: 26rpx;
			margin-top: 20rpx;
			padding: 0 10rpx;
			border-radius: 10rpx;
			background-color: #f8f9fa;

			.titleItem {
				font-size: 28rpx;
				padding: 20rpx 20rpx;
			}
			.JFtitleItem {
				background-color: #ffffff;
				padding: 20rpx 10rpx;
				width: 100%;
				border-bottom: 0.5px solid #f8f9fa;
			}

			.wmzhimg {
				width: 220rpx;
				height: 220rpx;
			}
		}
	}


	.container {
		height: 100vh;
		background-color: #fff;
	}

	.search_box {
		margin: 0 auto;
		overflow: hidden;
		align-items: center;
		width: calc(100% - 10px);
		margin-top: 20rpx;
		margin-bottom: 20rpx;

		.search {
			height: 56upx;
			display: flex;
			width: 86%;
			margin: 0 auto;
			align-items: center;
			padding: 0upx 40upx;
			background-color: #fff;
			border-radius: 20upx;
			box-shadow: 0 0px 10px 1px #54a96633;
		}

		.prompt {
			color: #838383;
			font-size: 24rpx;

		}
	}

	.flexbox {
		display: flex;
	}

	.uni-modal .uni-modal__bd {
		text-align: left;
	}

	.limiTy {
		font-size: 28rpx;
		line-height: 46rpx;
	}

	.chImage {
		height: 100rpx;
	}
</style>